Skip to main content
PATCH
Update a sent ACH transaction

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Query Parameters

transaction_id
string<uuid>

Only display holds linked to the provided transaction id

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Update sent ach transaction

Update sent ach transaction

funds_availability_time
string<date-time> | null
Example:

"2010-05-06T12:23:34.321Z"

status
enum<string> | null
Available options:
CANCELED

Response

Sent ACH transaction representation.

Represents a sent ACH transaction.

account_no
string
required

Receiving account number

Example:

"122455799"

amount
integer
required

Transaction amount in cents

Example:

1560

bank_id
integer
required
Example:

1

effective_date
string<date>
required

Effective date of the transaction

Example:

"2022-03-25"

external_id
string<uuid>
required

Transaction ID in the ledger

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

id
string<uuid>
required
Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

is_same_day
boolean
required

Was initiated as same-day ACH transaction

memo
string
required
partner_id
integer
required
Example:

2

source_account_no
string
required

Originating account number

Example:

"123638791329"

status
enum<string>
required
Available options:
INIT,
PENDING,
CANCELED,
COMPLETE,
DECLINED
trace_no
string
required

Trace number of the transaction

Example:

"123456780000069"

account_id
string<uuid>

Receiving account uuid. This links to the external account resource (represented by 'receiving_account_id' in the request to send outgoing ACH).

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

account_name
string

Receiving account name

Example:

"Bruce Wayne"

company_entry_description
string

Company Entry Description field in ACH batch header. Originator inserts this field's value to provide the Receiver with a description of the entry's purpose. NACHA Operating Rules dictate that Payroll or E-Commerce Purchase ACH transactions require setting this field to PAYROLL or PURCHASE respectively.

Example:

"PAYROLL"

company_name
string

Company Name field in ACH batch header.

Example:

"Asdf Finance"

hold
object
incoming_ach_id
string<uuid>

ID of the linked incoming ACH entry. This is filled only for outgoing ACH entries that are returns and links to the originally received incoming entry.

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

reference_info
string

Transaction reference info

return_data
object

Filled if the entry is a return.

source_account_id
string<uuid>

Originating account uuid. This links to the customer account on Synctera platform (represented by 'originating_account_id' in the request to send outgoing ACH).

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

source_account_name
string

Originating account name

Example:

"Thomas Anderson"